﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
using HeuristicLab.Common;

namespace HeuristicLab.Problems.TradeRules
{
    class RSI: Symbol
    {
        private const int minimumArity = 1;
        private const int maximumArity = 1;

        public override int MinimumArity
        {
            get { return minimumArity; }
        }
        public override int MaximumArity
        {
            get { return maximumArity; }
        }

        [StorableConstructor]
        private RSI(bool deserializing) : base(deserializing) { }
        private RSI(RSI original, Cloner cloner) : base(original, cloner) { }
        public override IDeepCloneable Clone(Cloner cloner)
        {
            return new RSI(this, cloner);
        }
        public RSI() : base("RSI", "Symbol that represents the RSI indicator.") { }
    
    }
}
